#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kget
Summary:        Versatile and user-friendly download manager
Epoch:          3
Version: 17.12.2
Release:        %mkrel %{rel}
URL:            http://www.kde.org/applications/internet/kget/
Group:          Networking/File transfer
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Torrent)

BuildRequires:  boost-devel

Conflicts:      kdenetwork4-core < 3:4.5.72
Conflicts:      krdc < 3:4.8.97-3

Recommends:     kget-handbook


Conflicts:      kde-l10n-ar < 17.12.0-1
Conflicts:      kde-l10n-ast < 17.12.0-1
Conflicts:      kde-l10n-bg < 17.12.0-1
Conflicts:      kde-l10n-bs < 17.12.0-1
Conflicts:      kde-l10n-ca < 17.12.0-1
Conflicts:      kde-l10n-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-cs < 17.12.0-1
Conflicts:      kde-l10n-da < 17.12.0-1
Conflicts:      kde-l10n-de < 17.12.0-1
Conflicts:      kde-l10n-el < 17.12.0-1
Conflicts:      kde-l10n-en_GB < 17.12.0-1
Conflicts:      kde-l10n-en_US < 17.12.0-1
Conflicts:      kde-l10n-es < 17.12.0-1
Conflicts:      kde-l10n-et < 17.12.0-1
Conflicts:      kde-l10n-eu < 17.12.0-1
Conflicts:      kde-l10n-fa < 17.12.0-1
Conflicts:      kde-l10n-fi < 17.12.0-1
Conflicts:      kde-l10n-fr < 17.12.0-1
Conflicts:      kde-l10n-ga < 17.12.0-1
Conflicts:      kde-l10n-gl < 17.12.0-1
Conflicts:      kde-l10n-he < 17.12.0-1
Conflicts:      kde-l10n-hi < 17.12.0-1
Conflicts:      kde-l10n-hr < 17.12.0-1
Conflicts:      kde-l10n-hu < 17.12.0-1
Conflicts:      kde-l10n-ia < 17.12.0-1
Conflicts:      kde-l10n-id < 17.12.0-1
Conflicts:      kde-l10n-is < 17.12.0-1
Conflicts:      kde-l10n-it < 17.12.0-1
Conflicts:      kde-l10n-ja < 17.12.0-1
Conflicts:      kde-l10n-kk < 17.12.0-1
Conflicts:      kde-l10n-km < 17.12.0-1
Conflicts:      kde-l10n-ko < 17.12.0-1
Conflicts:      kde-l10n-lt < 17.12.0-1
Conflicts:      kde-l10n-lv < 17.12.0-1
Conflicts:      kde-l10n-mr < 17.12.0-1
Conflicts:      kde-l10n-nb < 17.12.0-1
Conflicts:      kde-l10n-nds < 17.12.0-1
Conflicts:      kde-l10n-nl < 17.12.0-1
Conflicts:      kde-l10n-nn < 17.12.0-1
Conflicts:      kde-l10n-pa < 17.12.0-1
Conflicts:      kde-l10n-pl < 17.12.0-1
Conflicts:      kde-l10n-pt < 17.12.0-1
Conflicts:      kde-l10n-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-ro < 17.12.0-1
Conflicts:      kde-l10n-ru < 17.12.0-1
Conflicts:      kde-l10n-sk < 17.12.0-1
Conflicts:      kde-l10n-sl < 17.12.0-1
Conflicts:      kde-l10n-sr < 17.12.0-1
Conflicts:      kde-l10n-sv < 17.12.0-1
Conflicts:      kde-l10n-tr < 17.12.0-1
Conflicts:      kde-l10n-ug < 17.12.0-1
Conflicts:      kde-l10n-uk < 17.12.0-1
Conflicts:      kde-l10n-wa < 17.12.0-1
Conflicts:      kde-l10n-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-zh_TW < 17.12.0-1

%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files -f %name.lang
%_datadir/dbus-1/services/org.kde.kget.service
%_kf5_bindir/kget
%{_qt5_plugindir}/*.so
%{_qt5_plugindir}/kget/
%{_kf5_datadir}/applications/org.kde.kget.desktop
%{_kf5_datadir}/config.kcfg/kget.kcfg
%{_kf5_datadir}/config.kcfg/kget_checksumsearchfactory.kcfg
%{_kf5_datadir}/config.kcfg/kget_mirrorsearchfactory.kcfg
%{_kf5_datadir}/config.kcfg/kget_multisegkiofactory.kcfg
%{_kf5_datadir}/dolphinpart/kpartplugins/kget_plug_in.desktop
%{_kf5_datadir}/dolphinpart/kpartplugins/kget_plug_in.rc
%{_kf5_datadir}/icons/*/*/*/*
%{_kf5_datadir}/kconf_update/kget.upd
%{_kf5_datadir}/kconf_update/kget_limitdownloads.pl
%{_kf5_datadir}/kconf_update/kget_sensitive.pl
%{_kf5_datadir}/kget/pics/kget_splash.png
%{_kf5_datadir}/khtml/kpartplugins/kget_plug_in.desktop
%{_kf5_datadir}/khtml/kpartplugins/kget_plug_in.rc
%{_kf5_datadir}/knotifications5/kget.notifyrc
%{_kf5_datadir}/kservices5/ServiceMenus/kget_download.desktop
%{_kf5_datadir}/kservices5/kget_bittorrentfactory_config.desktop
%{_kf5_datadir}/kservices5/kget_checksumsearchfactory_config.desktop
%{_kf5_datadir}/kservices5/kget_metalinkfactory_config.desktop
%{_kf5_datadir}/kservices5/kget_mirrorsearchfactory_config.desktop
%{_kf5_datadir}/kservices5/kget_multisegkiofactory_config.desktop
%{_kf5_datadir}/kservicetypes5/kget_plugin.desktop
%{_kf5_datadir}/kwebkitpart/kpartplugins/kget_plug_in.desktop
%{_kf5_datadir}/kwebkitpart/kpartplugins/kget_plug_in.rc
%{_kf5_datadir}/kxmlgui5/kget/kgetui.rc

#------------------------------------------------------------------------------

%define major_kgetcore 5
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

%package -n %libkgetcore
Summary:        Runtime library for KGET
Group:          System/Libraries

%description -n %libkgetcore
Runtime library for KGET.

%files -n %libkgetcore
%_kf5_libdir/libkgetcore.so.%{major_kgetcore}*

#------------------------------------------------------------------------------

%package -n kget-handbook
Summary:        Kget Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kget >= %{epoch}:%{version}-%{release}

Conflicts:      kde-l10n-handbooks-ar < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ast < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bg < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-cs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-da < 17.12.0-1
Conflicts:      kde-l10n-handbooks-de < 17.12.0-1
Conflicts:      kde-l10n-handbooks-el < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_US < 17.12.0-1
Conflicts:      kde-l10n-handbooks-es < 17.12.0-1
Conflicts:      kde-l10n-handbooks-et < 17.12.0-1
Conflicts:      kde-l10n-handbooks-eu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ga < 17.12.0-1
Conflicts:      kde-l10n-handbooks-gl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-he < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-id < 17.12.0-1
Conflicts:      kde-l10n-handbooks-is < 17.12.0-1
Conflicts:      kde-l10n-handbooks-it < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ja < 17.12.0-1
Conflicts:      kde-l10n-handbooks-kk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-km < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ko < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-mr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nb < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nds < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nn < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ro < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ru < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-tr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ug < 17.12.0-1
Conflicts:      kde-l10n-handbooks-uk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-wa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.12.0-1

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kf5_docdir}/HTML/*/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkgetcore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%{_kf5_bindir}/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name



%changelog
* Tue Feb 20 2018 neoclust <neoclust> 3:17.12.2-1.mga6
+ Revision: 1203415
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090063
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076799
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1073947
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067327
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061385
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050652
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047292
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040053
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012539
- New version 16.04.1

* Tue Apr 26 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1006537
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994886
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991177
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987446
- New version 15.12.2

* Mon Jan 25 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 927380
- New version 15.12.1
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859170
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800599
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787685
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 749697
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734547
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681060
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667484
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 662996
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656674
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653860
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- disable nepomuk

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651965
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636734
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625501
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615578
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609394
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606835
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603342
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600677
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 592141
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589253
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554994
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551262
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540464
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490840
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488633
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476917
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465314
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458908
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455298
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 451000
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
    - imported package kget

